if not dsc then return end

local unloadedAddonsList = { "ContextOvertip" }
function getUnloadedAddonsList()
	return unloadedAddonsList
end
function loadUnloadedAddons( on )
	if on == true then
		for _, v in pairs(unloadedAddonsList) do
			common.StateUnloadManagedAddon( v )
			LogToChat(v..L(" was unloaded"))
		end
	else
		for _, v in pairs(unloadedAddonsList) do
			common.StateLoadManagedAddon( v )
			LogToChat(v..L(" was loaded"))
		end
	end

end

-----------------------------------------
---------------- INIT -------------------
-----------------------------------------
function mainInit()

	if vers_corrupt() then
		ErrToChat("need new version!")
		return
	end

	--- эта функция будет запущена если аддону разрешат из AddonsMenu запуститься 
	--- здесь необходимо инициализировать весь ваш аддон и его интерфейс

	--- возьмем настройки из config.txt
	fromConfig()

	GUIinit()
	
	loadUnloadedAddons( true )
	InitNPB2()

	--[[
	все объявлениея событий и реакций этого модуля должны быть описаны тут
	или вызваны отсюда - чтоб они не включались когда аддон находится в подвешенном состонии
	]]

	LogToChat( L("started"), "LogColorGreen" )

end
